import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/dmInformation',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/dmInformation/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/dmInformation',
    method: 'put',
    data
  })
}

export function ch(id) {
  return request({
    url: 'api/ch',
    method: 'post',
    data: id
  })
}

/** 新增审批人 */
export function addApprovalUser(data) {
  return request({
    url: 'api/dmInformation/addApprovalUser',
    method: 'post',
    data
  })
}

export function approval(data) {
  return request({
    url: 'api/dmInformation/approval',
    method: 'post',
    data
  })
}

export default { add, edit, del, ch, addApprovalUser, approval }
